Create Message
Creates a new [Message](#schema_message). When creating a new [Message](#schema_message), the required tags must be provided. See the specific integration for more details.
Header Parameters
Bot id
Integration id
Integration alias
Request Body
application/json
Message data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/chat/messages" \ -H "x-bot-id: string" \ -H "Content-Type: application/json" \ -d '{ "payload": {}, "userId": "stringstringstringstringstri", "conversationId": "stringstringstringstringstri", "type": "string", "tags": { "property1": "string", "property2": "string" } }'{ "message": { "id": "stringstringstringstringstri", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "type": "string", "payload": {}, "direction": "incoming", "userId": "stringstringstringstringstri", "conversationId": "stringstringstringstringstri", "tags": { "property1": "string", "property2": "string" }, "origin": "synthetic" }}{ "message": { "id": "stringstringstringstringstri", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "type": "string", "payload": {}, "direction": "incoming", "userId": "stringstringstringstringstri", "conversationId": "stringstringstringstringstri", "tags": { "property1": "string", "property2": "string" }, "origin": "synthetic" }}Create Event POST
Creates a new [Event](#schema_event). When creating a new [Event](#schema_event), the required tags must be provided. See the specific integration for more details.
Create User POST
Creates a new [User](#schema_user). When creating a new [User](#schema_user), the required tags must be provided. See the specific integration for more details.